PositionPdx (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.data

## Class PositionPdx

- java.lang.Object
- - org.apache.geode.cache.query.data.PositionPdx

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable, PdxSerializable

      public class PositionPdx
      extends java.lang.Object
      implements java.io.Serializable, PdxSerializable, java.lang.Comparable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `cnt`
    `static int` | `numInstance`
    `int` | `portfolioId`
    `java.lang.String` | `secId`
    `java.lang.String` | `secIdIndexed`
    `java.lang.String` | `secType`
    `java.lang.String` | `underlyer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionPdx()`
    `PositionPdx(java.lang.String id, double out)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `void` | `fromData(PdxReader in)` Deserializes the PDX fields using the given reader.
    `java.util.Set` | `getCol()`
    `int` | `getId()`
    `double` | `getMktValue()`
    `int` | `getPid()`
    `java.lang.String` | `getSecId()`
    `java.util.Set` | `getSet(int size)`
    `double` | `getSharesOutstanding()`
    `int` | `hashCode()`
    `static void` | `resetCounter()`
    `void` | `toData(PdxWriter out)` Serializes the PDX fields using the given writer.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### secId

          public java.lang.String secId

    - #### secIdIndexed

          public java.lang.String secIdIndexed

    - #### secType

          public java.lang.String secType

    - #### underlyer

          public java.lang.String underlyer

    - #### cnt

          public static int cnt

    - #### portfolioId

          public int portfolioId

    - #### numInstance

          public static int numInstance

  - ### Constructor Detail

    - #### PositionPdx

          public PositionPdx()

    - #### PositionPdx

          public PositionPdx(java.lang.String id,
                             double out)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### resetCounter

          public static void resetCounter()

    - #### getMktValue

          public double getMktValue()

    - #### getSecId

          public java.lang.String getSecId()

    - #### getId

          public int getId()

    - #### getSharesOutstanding

          public double getSharesOutstanding()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSet

          public java.util.Set getSet(int size)

    - #### getCol

          public java.util.Set getCol()

    - #### getPid

          public int getPid()

    - #### fromData

          public void fromData(PdxReader in)

      Description copied from interface: `PdxSerializable`
      Deserializes the PDX fields using the given reader.
      Specified by:
        `fromData` in interface `PdxSerializable`
      Parameters:
        `in` - the `PdxReader` to use to read the PDX fields.

    - #### toData

          public void toData(PdxWriter out)

      Description copied from interface: `PdxSerializable`
      Serializes the PDX fields using the given writer.
      Specified by:
        `toData` in interface `PdxSerializable`
      Parameters:
        `out` - the `PdxWriter` to use to write the PDX fields.

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`